Page MenuHomePhabricator

Special:TimedMediaHandler not listed at Special:SpecialPages
Closed, ResolvedPublic

Description

Hi. I can't see Special:TimedMediaHandler on the list of special pages on enwiki (https://en.wikipedia.org/wiki/Special:SpecialPages), despite being able to access it. Why? It shows up on the beta cluster, where I am an admin, but admin rights aren't needed to see it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 21 2019, 4:33 AM

Change 513967 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/TimedMediaHandler@master] List Special:TimedMediaHandler at Special:SpecialPages

https://gerrit.wikimedia.org/r/513967

TheDJ added a subscriber: TheDJ.Jun 3 2019, 10:19 AM

Primarily because we didn't intend that to be a user visible page at any time.... it's also rather performance heavy at times.

But yeah, this needs fixing.. as many other parts of TMH ;)

@TheDJ, just to be clear are you saying that it shouldn't be visible, or that it wasn't intended to be originally but that it is good to show it now?

TheDJ added a comment.EditedJun 6 2019, 7:44 AM

I think we should consider adding it, but:
1: it needs a better name that is not the extension name
2: we need to check if it is safe to show from a performance point of view (specifically at Commons, load time is currently well over 10 seconds)

1: it needs a better name that is not the extension name

Special:VideoStatistics? If that's too simplified, Special:TimedMediaStatistics? Bikeshed, bikeshed...

DannyS712 triaged this task as Low priority.Jul 17 2019, 7:27 PM
DannyS712 moved this task from To sort to Doing on the TimedMediaHandler board.Aug 21 2019, 9:37 PM

Just need to resolve the comments in T223947#5239150 - name and performance

Special:TimedMedia statistics could work i guess..

Change 571583 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/TimedMediaHandler@master] Rename Special:TimedMediaHandler to Special:TranscodeStatistics

https://gerrit.wikimedia.org/r/571583

Change 513967 abandoned by DannyS712:
List Special:TimedMediaHandler at Special:SpecialPages

https://gerrit.wikimedia.org/r/513967

DannyS712 reassigned this task from DannyS712 to TheDJ.Feb 12 2020, 12:16 AM
DannyS712 moved this task from Awaiting review and deployment to Reports on the User-DannyS712 board.

BTW. it seems that the transcode-status right (on WMF) is currently configured only for sysop. With this patch, it means that most users can reset a 4 hour 4K video (using transcode-reset permission granted to auto confirmed users), but only sysops can look at Special:Transcode statistics. That seems a bit extreme to me. I'm not sure to which other groups we should extend that right however.. auto confirmed is a LOT of people and in between are a lot of scoped groups, but none that seem particularly relevant.....

Change 571583 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Rename Special:TimedMediaHandler to Special:TranscodeStatistics

https://gerrit.wikimedia.org/r/571583

Jdforrester-WMF closed this task as Resolved.Mar 5 2020, 6:55 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now listed (for authorised users); will roll out to production in the train next wek.